# ORIGINATOR

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
EXAMPLES
COORDINATES
SEE ALSO
REFERENCES

## NAME

originator − Associate seamounts with hotspot point sources

## SYNOPSIS

originator [infile(s)] −E stage_file −F hs_file [ −C ] [ −D d_km ] [ −H[i][nrec] ] [ −L[flag] ] [ −N upper_age ] [ −Q r/t ] [ −S[n_hs] ] [ −T ] [ −V ] −W maxdist ] [ −Z ] [ −:[i|o] ] [ −bi[s|S|d|D[ncol]|c[var1/...]] ]

## DESCRIPTION

originator reads (longitude, latitude, height, radius, crustal_age) records from infiles [or standard input] and uses the given Absolute Plate Motion (APM) stage poles and the list of hotspot locations to determine the most likely origin (hotspot) for each seamount. It does so by calculating flowlines back in time and determining the closest approach to all hotspots. The output consists of the input records with four additional fields added for each of the n_hs closest hotspots. The four fields are the hotspot id (e.g., HWI), the stage id of the flowline segment that came closest, the pseudo-age of the seamount, and the closest distance to the hotspot (in km). See option −: on how to read (latitude, longitude,height, radius, crustal_age) files.

|  | No space between the option flag and the associated arguments. Use upper case for the option flags and lower case for modifiers.

infile(s)

Seamount data file(s) to be analyzed. If not given, standard input is read.

| −E |  | Give file with rotation parameters. This file must contain one record for each rotation; each record must be of the following format:

lon lat tstart [tstop] angle [ khat a b c d e f g df ]

where tstart and tstop are in Myr and lon lat angle are in degrees. tstart and tstop are the ages of the old and young ends of a stage. If −C is set then a total reconstruction rotation is expected and tstop is implicitly set to 0 and should not be specified in the file. If a covariance matrix C for the rotation is available it must be specified in a format using the nine optional terms listed in brackets. Here, C = (g/khat)*[ a b d; b c e; d e f ] which shows C made up of three row vectors. If the degrees of freedom (df) in fitting the rotation is 0 or not given it is set to 10000. Blank lines and records whose first column contains # will be ignored.

| −F |  | Give file with hotspot locations. This file must contain one record for each hotspot to be considered; each record must be of the following format:

lon lat hs_abbrev hs_id r t_off t_on create fit plot name

E.g., for Hawaii this may look like

205 20 HWI 1 25 0 90 Y Y Y Hawaii

Most applications only need the first 4 columns which thus represents the minimal hotspot information record type. The abbreviation may be maximum 3 characters long. The id must be an integer from 1-32. The positional uncertainty of the hotspot is given by r (in km). The t_off and t_on variables are used to indicate the active time-span of the hotspot. The create, fit, and plot indicators are either Y or N and are used by some programs to indicate if the hotspot is included in the ID-grids used to determine rotations, if the hotspot chain will be used to determine rotations, and if the hotspot should be included in various plots. The name is a 32-character maximum text string with the full hotspot name. Blank lines and records whose first column contains # will be ignored.

## OPTIONS

| −C |  | Expect Total Reconstruction Rotations rather than Forward Stage Rotations [Default]. File format is similar to the stage pole format except that the tstart column is not present (assumed to be 0 Ma).
| −D |  | Sets the flowline sampling interval in km. [Default is 5].
| −H |  | Input file(s) has header record(s). If used, the default number of header records is N_HEADER_RECS. Use −Hi if only input data should have header records [Default will write out header records if the input data have them]. Blank lines and lines starting with # are always skipped.
| −L |  | Output closest approach for nearest hotspot only (ignores −S). Choose −Lt for (time, dist, z) [Default], −Lw for (omega, dist, z), and −Ll for (lon, lat, time, dist, z). Normally, dist is in km; use upper case modifiers TWL to get dist in spherical degrees.
| −N |  | Set the maximum age to extend the oldest stage back in time [no extension].
| −Q |  |

Input files only has (x,y,z); specify constant values for r,t that

will be implied for each record.

| −S |  | Set the number of closest hotspots to report [Default is 1].
| −T |  | Truncate seamount ages exceeding the upper age set with −N [no truncation].
| −V |  | Selects verbose mode, which will send progress reports to stderr [Default runs "silently"].
| −W |  | Only report those seamounts whose flowlines came within maxdist to any hotspot [Default reports all seamounts].
| −Z |  | Use the hotspot ID number rather than the name tag in output records.
| −: |  | Toggles between (longitude,latitude) and (latitude,longitude) input and/or output. [Default is (longitude,latitude)]. Append i to select input only or o to select output only. [Default affects both].
| −bi |  | Selects binary input. Append s for single precision [Default is d (double)]. Uppercase S or D will force byte-swapping. Optionally, append ncol, the number of columns in your binary input file if it exceeds the columns needed by the program. Or append c if the input file is netCDF. Optionally, append var1/var2/... to specify the variables to be read. [Default is 5 input columns].

## EXAMPLES

To find the likely (hotspot) origins of the seamounts represented by the (x,y,z,r,tc) points in the file seamounts.d, using the DC85.d Euler poles and the pac_hs.d list of possible hotspots, and report the 2 most likely hotspot candidates for each seamount, run

originator seamounts.d −S 2 −E DC85.d −F pac_hs.d > origins.d

## COORDINATES

Data coordinates are assumed to be geodetic and will automatically be converted to geocentric before spherical rotations are performed. We convert back to geodetic coordinates for output. Note: If your data already are geocentric, you can avoid the conversion by using --ELLIPSOID=sphere.

## SEE ALSO

GMT(1), project(1), grdrotater(1), grdspotter(1), mapproject(1), backtracker(1), hotspotter(1)

## REFERENCES

Wessel, P., 1999, "Hotspotting" tools released, EOS Trans. AGU, 80 (29), p. 319.